<template>
  <Modal
    :value="visible"
    title="设置环境集成等级"
    draggable
    sticky
    :mask="false"
    @on-visible-change="visibleChange"
    :width="300"
    @on-ok="ok"
  >
    <Select v-model="integrationLevel">
      <Option
        v-for="(item, index) in integrationLevels"
        :value="item.id"
        :key="index"
      >
        {{ item.text }}
      </Option>
    </Select>
  </Modal>
</template>

<script>
export default {
  name: "MonitorModalIntegrationLevel",
  data() {
    return {
      integrationLevels: [
        {
          id:'TO_BE_UTILIZED',
          text:'加入调度状态'
        },
        {
          id:'TO_BE_IGNORED',
          text:'忽视车辆'
        },
        {
          id:'TO_BE_NOTICED',
          text:'选中车辆位置'
        },
        {
          id:'TO_BE_RESPECTED',
          text:'维持车辆当前位置'
        }
      ],
      integrationLevel: "TO_BE_UTILIZED",
    };
  },
  model: {
    prop: "visible",
    event: "visible-change",
  },
  props: {
    visible: Boolean,
  },
  methods: {
    visibleChange(value) {
      this.$emit("visible-change", value);
    },
    ok() {
      this.$emit("ok", this.integrationLevel);
      this.visibleChange(false);
    },
  },
};
</script>

<style lang="less" scoped>
</style>